%define pkgname gtk-engines
%define pkgversion 2
%define lib_name %mklibname %{pkgname}%{pkgversion}

%define cleanice_version 2.4.0
%define xfce_version 2.4.2
%define bluecurve_version 1.0.0
%define mist_version 0.5

%define _requires_exceptions pkgconfig\(.*\)

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Name:			%{pkgname}%{pkgversion}
Summary:		Default GTK+ 2.0 theme engines
Version:		2.14.0
Release:		%mkrel 1
License:		GPL
Group:			System/Libraries
BuildRequires:		libglade2.0-devel
BuildRequires:		gtk+2-devel >= 2.6.0
BuildRequires:		perl-XML-Parser
Source0:		http://ftp.gnome.org/pub/GNOME/sources/gtk-engines/%{pkgname}-%{version}.tar.bz2
Source3:		http://prdownloads.sourceforge.net/elysium-project/gtk-engines-cleanice-%{cleanice_version}.tar.bz2
Source4:		http://www.xfce.org/archive/xfce-4.4.0/gtk-xfce-engine-%{xfce_version}.tar.bz2
Source5:		http://themes.freshmeat.net/redir/gtk2flat/31385/url_tgz/gtk2flat-default.tar.bz2
Source7:		bluecurve-gtk-themes-%{bluecurve_version}.tar.bz2
Url:			ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines/

BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot
Requires:		%{lib_name} >= %{version}
Conflicts:		ximian-artwork < 0.2.26-4mdk
Conflicts:		gnome-themes <= 2.8.2-2mdk
Conflicts:		gnome-themes-extras < 0.8.0-3mdk
Provides:		gtk-theme-clearlooks gtk-xfce-engine
Obsoletes:		gtk-theme-clearlooks gtk-xfce-engine

%description
These are the graphical engines for the various GTK+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)
  - Many more


#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:	Library files for %{name}
Group:		System/Libraries
Requires:	gtk+2.0 >= 2.9.0
Provides:	%lib_name = %version
Conflicts:      %name < 2.8.2

%description -n %{lib_name}
Library files for %{name}


%prep
%setup -q -n %{pkgname}-%{version} -a 3 -a 4 -a 5 -a 7

%build

%configure2_5x --enable-lua --enable-animation
%make

cd gtk-engines-cleanice-%{cleanice_version}/
libtoolize --copy --force
aclocal
autoconf
%configure2_5x
%make
cd ..

cd gtk-xfce-engine-%{xfce_version}/
%configure2_5x
%make
cd ..

cd gtk-flat-theme-2.0/
%configure2_5x
%make
cd ..

cd bluecurve-gtk-themes-%{bluecurve_version}/
%configure2_5x
%make
cd ..

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

cd gtk-engines-cleanice-%{cleanice_version}/
%makeinstall_std
cd ..

cd gtk-xfce-engine-%{xfce_version}/
%makeinstall_std
cd ..

cd gtk-flat-theme-2.0/
%makeinstall_std
cd ..

cd bluecurve-gtk-themes-%{bluecurve_version}/
%makeinstall_std
cd ..

#remove empty files
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/*/ICON.png \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.a
#gw needed at build time only
rm -rf %buildroot%_datadir/locale

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}


#--------------------------------------------------------------------

%files
%defattr(-,root,root)
%doc COPYING README
%{_datadir}/themes/*
%_datadir/gtk-engines/

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libbluecurve.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libcleanice.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libclearlooks.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libcrux-engine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libflat.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libglide.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libhcengine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libindustrial.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libluaengine.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libmist.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libredmond95.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libsmooth.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libthinice.so
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/libxfce.so
%{_libdir}/pkgconfig/*


%changelog
* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdv2008.1
+ Revision: 183799
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.13.6-1mdv2008.1
+ Revision: 175275
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdv2008.1
+ Revision: 165699
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.13.4-1mdv2008.1
+ Revision: 159482
- new version

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.13.3-3mdv2008.1
+ Revision: 146804
- fix cleanice build on x86_64
- replace wonderland by bluecurve gtk engine

* Tue Jan 08 2008 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdv2008.1
+ Revision: 146370
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.13.2-1mdv2008.1
+ Revision: 131634
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not package big ChangeLog

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 2.13.1-1mdv2008.1
+ Revision: 115242
- new version

* Sun Nov 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.13.0-2mdv2008.1
+ Revision: 110064
- Add new gtk-xfce-engine

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.13.0-1mdv2008.1
+ Revision: 108582
- new version

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2008.1
+ Revision: 98886
- new version

* Fri Sep 21 2007 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdv2008.0
+ Revision: 91895
- Release 2.12.1

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2008.0
+ Revision: 89346
- new version

* Fri Aug 24 2007 Götz Waschk <waschk@mandriva.org> 2.11.7-1mdv2008.0
+ Revision: 70982
- new version

* Fri Aug 17 2007 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2008.0
+ Revision: 64704
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2008.0
+ Revision: 63078
- new version

* Tue Aug 07 2007 Frederic Crozat <fcrozat@mandriva.com> 2.11.4-2mdv2008.0
+ Revision: 59863
- Enable animation support in clearlooks engine (Mdv bug #30574)

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2008.0
+ Revision: 56958
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2008.0
+ Revision: 50853
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 41285
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.11.1-3mdv2008.0
+ Revision: 36283
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdv2008.0
+ Revision: 32363
- new version

* Wed Apr 25 2007 Jérôme Soyer <saispo@mandriva.org> 2.10.1-2mdv2008.0
+ Revision: 18148
- Update gtk-engine for the new XFCE

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdv2008.0
+ Revision: 14415
- new version


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.10.0-3mdv2007.1
+ Revision: 146579
- package smaller NEWS instead of BIG less usefull ChangeLog

* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-2mdv2007.1
+ Revision: 142335
- fix buildrequires
- new version
- update file list

* Wed Mar 07 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.9.4-2mdv2007.1
+ Revision: 134510
- fix wrongly requiring devel packages (#29034)

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.9.4-1mdv2007.1
+ Revision: 126213
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.9.3-2mdv2007.1
+ Revision: 125756
- fix checkbox colour in clearlooks engine

* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.1
+ Revision: 120273
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.9.2-2mdv2007.1
+ Revision: 112338
- xfce engine 4.4.0

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.9.2-1mdv2007.1
+ Revision: 111970
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.9.1-1mdv2007.1
+ Revision: 106283
- new version
- enable lua engine

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-3mdv2007.1
+ Revision: 96467
- remove ldconfig calls

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-2mdv2007.1
+ Revision: 96222
- update xfce engine

  + Colin Guthrie <cguthrie@mandriva.org>
    - Remove the old source tarball

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdv2007.1
+ Revision: 90678
- new version

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-2mdv2007.1
+ Revision: 86903
- add conflict to ease upgrade

* Wed Nov 22 2006 Colin Guthrie <cguthrie@mandriva.org> 2.8.2-1mdv2007.1
+ Revision: 86241
- Move the gtk requires to the lib package where it is more appropriate
- Libify the engines for the benefit of x86_64 users

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - fix gtkbinaryver macro
    - Import gtk-engines2

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdv2007.0
- New version 2.8.1

* Sat Sep 09 2006 Gtz Waschk <waschk@mandriva.org> 2.8.0-2mdv2007.0
- obsolete the gtk-xfce-engine package
- update xfce engine

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-1mdv2007.0
- New version 2.8.0

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 2.7.8-2mdv2007.0
- drop bad patch

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.7.8-1mdv2007.0
- New release 2.7.8

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.7.7-1mdv2007.0
- rediff the patch
- New release 2.7.7

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.7.6-1mdv2007.0
- New release 2.7.6

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.7.5-1mdv2007.0
- drop patches 0,1
- New release 2.7.5

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.4-1mdv2007.0
- Release 2.7.4
- Patches 0, 1, 2 : fixes from Fedora

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.6.9-1mdv2007.0
- New release 2.6.9

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.6.8-1mdk
- New release 2.6.8

* Mon Jan 09 2006 Gtz Waschk <waschk@mandriva.org> 2.6.7-1mdk
- drop patch
- New release 2.6.7
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.6-2mdk
- Patch0 (CVS): remove undefined reference

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.6.6-1mdk
- New release 2.6.6

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.6.5-2mdk
- rebuild to remove glitz dep

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 2.6.5-1mdk
- New release 2.6.5

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 2.6.4-1mdk
- install fix
- New release 2.6.4

* Tue May 10 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.3-1mdk 
- fix build on x86-64

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.3-1mdk 
- Release 2.6.3 based on Götz Waschk package
- Update cleanice to 2.4.0 and its url

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk 
- Add conflicts to easy upgrade

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Thu Feb 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- update the file list
- New release 2.6.1

* Mon Jan 10 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.6.0-4mdk 
- fix x86_64 build

* Fri Jan 07 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.6.0-3mdk 
- buildrequires

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk 
- Add conflicts with old version of ximian-artwork and gnome-themes

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- update file list
- add source URL
- New release 2.6.0

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-8mdk
- Don't ship pixmap engine, it is now part of GTK+ 2.6

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-7mdk
- new xfce engine 2.2.1

* Sun Apr 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-6mdk
- rebuild for new gtk

